Problems updating OMSA on CentOS

Jim Leek jim.leek at eng.ox.ac.uk
Tue Jul 17 06:57:17 CDT 2012


Hi,

I'm running OMSA on a Dell PowerEdge R300 running CentOS 6.3.

OMSA works very well, but this morning I've run a weekly OS update and had problems updating OMSA:

[root at server root]yum update
Loaded plugins: dellsysid, fastestmirror, refresh-packagekit, security
Loading mirror speeds from cached hostfile
 * base: mirror.ox.ac.uk
 * extras: mirror.ox.ac.uk
 * updates: mirror.ox.ac.uk
Setting up Update Process
Resolving Dependencies
--> Running transaction check
---> Package dell_ie_bios.x86_64 0:3.1.0-1.3.2.el6 will be updated
---> Package dell_ie_bios.x86_64 0:3.1.0-4.143.2.el6 will be an update
---> Package dell_ie_rac_5.x86_64 0:6.5.0-1.1.6.el6 will be updated
---> Package dell_ie_rac_5.x86_64 0:7.0.0-4.1.8.el6 will be an update
---> Package libsmal0.x86_64 0:3.1.0-1.3.1.el6 will be updated
---> Package libsmal0.x86_64 0:3.1.0-4.142.1.el6 will be an update
---> Package srvadmin-all.x86_64 0:6.5.0-1.1.1.el6 will be updated
---> Package srvadmin-all.x86_64 0:7.0.0-4.1.2.el6 will be an update
---> Package srvadmin-base.x86_64 0:6.5.0-1.1.1.el6 will be updated
---> Package srvadmin-base.x86_64 0:7.0.0-4.1.2.el6 will be an update
---> Package srvadmin-deng.x86_64 0:6.5.0-1.31.1.el6 will be updated
---> Package srvadmin-deng.x86_64 0:7.0.0-4.13.1.el6 will be an update
---> Package srvadmin-hapi.x86_64 0:6.5.0-1.33.2.el6 will be updated
---> Package srvadmin-hapi.x86_64 0:7.0.0-4.19.1.el6 will be an update
---> Package srvadmin-idrac.x86_64 0:6.5.0-1.228.2.el6 will be updated
---> Package srvadmin-idrac.x86_64 0:7.0.0-4.190.2.el6 will be an update
---> Package srvadmin-idrac-ivmcli.x86_64 0:6.5.0-1.239.1.el6 will be updated
---> Package srvadmin-idrac-ivmcli.x86_64 0:7.0.0-4.181.1.el6 will be an update
---> Package srvadmin-isvc.x86_64 0:6.5.0-1.52.2.el6 will be updated
---> Package srvadmin-isvc.x86_64 0:7.0.0-4.83.1.el6 will be an update
---> Package srvadmin-itunnelprovider.x86_64 0:6.5.0-1.151.1.el6 will be updated
---> Package srvadmin-itunnelprovider.x86_64 0:7.0.0-4.178.1.el6 will be an update
---> Package srvadmin-iws.x86_64 0:6.5.0-1.143.2.el6 will be updated
---> Package srvadmin-iws.x86_64 0:7.0.0-4.168.1.el6 will be an update
---> Package srvadmin-omacore.x86_64 0:6.5.0-1.143.2.el6 will be updated
---> Package srvadmin-omacore.x86_64 0:7.0.0-4.168.1.el6 will be an update
---> Package srvadmin-omilcore.x86_64 0:6.5.0-1.452.1.el6 will be updated
---> Package srvadmin-omilcore.x86_64 0:7.0.0-4.313.1.el6 will be an update
---> Package srvadmin-rac-components.x86_64 0:6.5.0-1.228.2.el6 will be updated
---> Package srvadmin-rac-components.x86_64 0:7.0.0-4.190.2.el6 will be an update
---> Package srvadmin-rac4.x86_64 0:6.5.0-1.154.2.el6 will be updated
---> Package srvadmin-rac4.x86_64 0:7.0.0-4.163.1.el6 will be an update
---> Package srvadmin-rac5.x86_64 0:6.5.0-1.149.1.el6 will be updated
---> Package srvadmin-rac5.x86_64 0:7.0.0-4.163.1.el6 will be an update
---> Package srvadmin-racadm4.x86_64 0:6.5.0-1.154.2.el6 will be updated
--> Processing Dependency: librac4.so.6()(64bit) for package: dell_ie_rac_4-6.5.0-1.1.6.el6.x86_64
---> Package srvadmin-racadm4.x86_64 0:7.0.0-4.163.1.el6 will be an update
---> Package srvadmin-racadm5.x86_64 0:6.5.0-1.149.1.el6 will be updated
---> Package srvadmin-racadm5.x86_64 0:7.0.0-4.163.1.el6 will be an update
---> Package srvadmin-racdrsc.x86_64 0:6.5.0-1.228.2.el6 will be updated
---> Package srvadmin-racdrsc.x86_64 0:7.0.0-4.190.2.el6 will be an update
---> Package srvadmin-racsvc.x86_64 0:6.5.0-1.154.2.el6 will be updated
---> Package srvadmin-racsvc.x86_64 0:7.0.0-4.163.1.el6 will be an update
---> Package srvadmin-smcommon.x86_64 0:6.5.0-1.201.1.el6 will be updated
---> Package srvadmin-smcommon.x86_64 0:7.0.0-4.222.1.el6 will be an update
---> Package srvadmin-smweb.x86_64 0:6.5.0-1.201.1.el6 will be updated
---> Package srvadmin-smweb.x86_64 0:7.0.0-4.222.1.el6 will be an update
---> Package srvadmin-standardAgent.x86_64 0:6.5.0-1.1.1.el6 will be updated
---> Package srvadmin-standardAgent.x86_64 0:7.0.0-4.1.2.el6 will be an update
---> Package srvadmin-storage.x86_64 0:6.5.0-1.201.1.el6 will be updated
---> Package srvadmin-storage.x86_64 0:7.0.0-4.222.1.el6 will be an update
--> Processing Dependency: srvadmin-realssd for package: srvadmin-storage-7.0.0-4.222.1.el6.x86_64
--> Processing Dependency: libRealSSD-API.so()(64bit) for package: srvadmin-storage-7.0.0-4.222.1.el6.x86_64
---> Package srvadmin-storageservices.x86_64 0:6.5.0-1.1.1.el6 will be updated
---> Package srvadmin-storageservices.x86_64 0:7.0.0-4.1.2.el6 will be an update
---> Package srvadmin-storelib.x86_64 0:6.5.0-1.326.1.el6 will be updated
---> Package srvadmin-storelib.x86_64 0:7.0.0-4.222.1.el6 will be an update
---> Package srvadmin-sysfsutils.x86_64 0:6.5.0-1.1.el6 will be updated
---> Package srvadmin-sysfsutils.x86_64 0:7.0.0-4.1.2.el6 will be an update
---> Package srvadmin-webserver.x86_64 0:6.5.0-1.1.1.el6 will be updated
---> Package srvadmin-webserver.x86_64 0:7.0.0-4.1.2.el6 will be an update
--> Running transaction check
---> Package srvadmin-racadm4.x86_64 0:6.5.0-1.154.2.el6 will be updated
--> Processing Dependency: librac4.so.6()(64bit) for package: dell_ie_rac_4-6.5.0-1.1.6.el6.x86_64
---> Package srvadmin-realssd.x86_64 0:7.0.0-4.222.1.el6 will be installed
--> Finished Dependency Resolution
Error: Package: dell_ie_rac_4-6.5.0-1.1.6.el6.x86_64 (@dell-omsa-indep)
           Requires: librac4.so.6()(64bit)
           Removing: srvadmin-racadm4-6.5.0-1.154.2.el6.x86_64 (@dell-omsa-indep)
               librac4.so.6()(64bit)
           Updated By: srvadmin-racadm4-7.0.0-4.163.1.el6.x86_64 (dell-omsa-indep)
               Not found
 You could try using --skip-broken to work around the problem
 You could try running: rpm -Va --nofiles --nodigest

Does anyone have any suggestions?

Cheers,  Jim

Jim Leek
Web Development Officer
Department of Engineering Science
Tel: 01865 273904
www.eng.ox.ac.uk




More information about the Linux-PowerEdge mailing list